//定义转义 HTML 字符函数
function htmlEscape(htmlstr) {
    //表示 如果 htmlstr 中每匹配到 < 或 > 或 " 或 & 就通过 形参 match 传递
    // 调用回调函数将 htmlstr 中匹配到的这四个 html 字符 转义
    return htmlstr.replace(/<|>|"|&/g, (match) => {
        switch (match) {
            case '<':
                return '&lt;'
            case '>':
                return '&gt;'
            case '"':
                return '&quot;'
            case '&':
                return '&amp;'
        }
    })
}


//定义还原 HTML 字符串函数
function htmlUnEscape(str) {
    return str.replace(/&lt;|&gt;|&quot;|&amp;/g, (match) => {
        switch (match) {
            case '&lt;':
                return '<'
            case '&gt;':
                return '>'
            case '&quot;':
                return '"'
            case '&amp;':
                return '&'
        }
    })
}


//对外暴露成员函数
module.exports = {
    htmlEscape,
    htmlUnEscape
}